Bug 211461 - Modifier keys (Alt, Ctrl, etc) get stuck on in VNC console
Modifier keys (Alt, Ctrl, etc) get stuck on in VNC console
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-19 11:06 EDT by Daniel Berrange
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 16:25:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2006-10-19 11:06:22 EDT
Description of problem:
When performing certain operations in the VNC console window for guest VMs you
can get into a situation where modifiers keys get stuck on. eg, 'Alt' appears
permanently pressed in the guest X server. You can get into this situation if
using local keyboard accelerators. eg pressing 'alt-tab' to switch windows, the
guest will receive KeyPress for Alt & Tab, but never see the KeyRelease event
for Alt. When it gets into this confused state, the guest console is essentially
unusable - if you can figure out which keys are stuck on, then pressing &
releasing them again can solve it, but this is very non-obvious for the user

Version-Release number of selected component (if applicable):
virt-manager-0.2.3

How reproducible:
Always

Steps to Reproduce:
1. Open VNC console to guest
2. Press alt-tab to switch to another local desktop app
3. Go back to VNC console
  
Actual results:
All keys presses have 'Alt' applied

Expected results:
Guest keys do not have 'Alt' applied

Additional info:
Fix is already in latest upsteam:

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=963a1d4668e9
http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=74c7ba84a353
http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=18610f26c019
Comment 1 RHEL Product and Program Management 2006-10-19 11:17:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 3 Daniel Berrange 2006-10-23 09:37:37 EDT
The fix for this issue has been built into virt-manager-0.2.5-1.el5

Note You need to log in before you can comment on or make changes to this bug.